APG PayAPG Paydocs

Merchants

Delete beneficial owner

DELETE/beneficial-owners/{beneficialOwnerId}
Request
DELETEhttps://api.tst.au.apgpay.dev/beneficial-owners/{beneficialOwnerId}
curl -X DELETE https://api.tst.au.apgpay.dev/beneficial-owners/{beneficialOwnerId} \
  -H "Authorization: Bearer $API_KEY"

Remove an owner. Check deletable first, the last owner of a verified merchant cannot be removed.

Permissions

Required permission
merchantKyb:delete

Requires the `delete` action on `merchantKyb` for the supplied runtime context

Path parameters

beneficialOwnerIdstring
required

Query parameters

merchantIdstring

Whose owner this is. Omit it when the Merchant-Id header names the merchant.

Responses

No response body.

Error responses